package token_test

import (
	"testing"

	"git.akyoto.dev/cli/q/src/build/token"
	"git.akyoto.dev/go/assert"
)

func TestTokenKind(t *testing.T) {
	assert.Equal(t, token.Invalid.String(), "Invalid")
	assert.Equal(t, token.EOF.String(), "EOF")
	assert.Equal(t, token.NewLine.String(), "NewLine")
	assert.Equal(t, token.Identifier.String(), "Identifier")
	assert.Equal(t, token.Keyword.String(), "Keyword")
	assert.Equal(t, token.String.String(), "String")
	assert.Equal(t, token.Number.String(), "Number")
	assert.Equal(t, token.Operator.String(), "Operator")
	assert.Equal(t, token.Separator.String(), "Separator")
	assert.Equal(t, token.Comment.String(), "Comment")
	assert.Equal(t, token.GroupStart.String(), "GroupStart")
	assert.Equal(t, token.GroupEnd.String(), "GroupEnd")
	assert.Equal(t, token.BlockStart.String(), "BlockStart")
	assert.Equal(t, token.BlockEnd.String(), "BlockEnd")
	assert.Equal(t, token.ArrayStart.String(), "ArrayStart")
	assert.Equal(t, token.ArrayEnd.String(), "ArrayEnd")
}
