package ast

import (
	"fmt"

	"git.akyoto.dev/cli/q/src/build/expression"
)

// Return represents a return statement.
type Return struct {
	Value *expression.Expression
}

func (node *Return) String() string {
	return fmt.Sprintf("(return %s)", node.Value)
}
